#
# spec file for package sratom
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 0
Name:           sratom
Version:        0.6.0
Release:        lp152.3.4
Summary:        A library for serialising LV2 atoms to/from RDF
License:        ISC
Group:          Development/Libraries/C and C++
Url:            http://drobilla.net/software/sratom/
Source0:        http://download.drobilla.net/sratom-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  pkgconfig(lv2) >= 1.10.0
BuildRequires:  pkgconfig(serd-0) >= 0.23.0
BuildRequires:  pkgconfig(sord-0) >= 0.12.0

%description
A library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax.

%package        -n libsratom-0-%{sover}
Summary:        A library for serialising LV2 atoms to/from RDF
Group:          System/Libraries

%description    -n libsratom-0-%{sover}
A library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax.

%package        devel
Summary:        Development files for libsratom
Group:          Development/Libraries/C and C++
Requires:       libsratom-0-%{sover} = %{version}
Provides:       libsratom-0-devel = %{version}
Obsoletes:      libsratom-0-devel < %{version}

%description    devel
Development files for libsratom.

%prep
%setup -q

%build
export CFLAGS='%{optflags}'
export CXXFLAGS='%{optflags}'
python3 ./waf configure \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --docdir=%{_defaultdocdir} \
  --test \
  --docs
python3 ./waf build -v %{?_smp_mflags}

%install
python3 ./waf install --destdir=%{?buildroot}

%check
python3 ./waf test

%post -n libsratom-0-%{sover} -p /sbin/ldconfig
%postun -n libsratom-0-%{sover} -p /sbin/ldconfig

%files -n libsratom-0-%{sover}
%doc COPYING NEWS README
%{_libdir}/libsratom-0.so.%{sover}*

%files devel
%{_libdir}/libsratom-0.so
%{_includedir}/sratom-0/
%{_libdir}/pkgconfig/sratom-0.pc
%{_defaultdocdir}/sratom-0/
%{_mandir}/man3/*

%changelog
* Thu Nov  2 2017 mpluskal@suse.com
- Update to version 0.6.0:
  * Add sratom_set_env() for setting prefixes
  * Fix padding of constructed vectors (thanks Hanspeter Portner)
  * Support round-trip serialisation of relative paths
  * Support sequences with beat time stamps
  * Fix warnings when building with ISO C++ compilers
  * Upgrade to waf 1.8.14
- Run spec-cleaner
- Use python3
- Run tests during build
* Mon Jan 30 2017 jengelh@inai.de
- Fix mismatching RPM group
- Rename soname macro to sover as it does not contain a name
* Thu Jan 12 2017 olaf@aepfle.de
- Add baselibs.conf for gstreamer-plugins-bad-32bit
* Thu Mar 26 2015 p.drouand@gmail.com
- Update to version 0.4.6
  * Update for latest LV2 Atom Object simplification
  * Don't set eg prefix in sratom_to_turtle
  * Upgrade to waf 1.7.16
* Fri Jul 11 2014 reddwarf@opensuse.org
- Update to 0.4.4
  * Escape invalid characters when writing paths as URIs
  * Fancier printing without subject and predicate
* Thu Sep  5 2013 reddwarf@opensuse.org
- Update to 0.4.2
  * Fix serialisation of nested tuples
  * Fix memory leaks
  * Use new sord API to clean up and shrink code
  * Disable timestamps in HTML documentation for reproducible build
  * Update to waf 1.7.9 and autowaf r90 (install docs to versioned directory)
- Remove sratom-0.4.0-build_compare.patch, applied upstream
- The minimum serd version is now 0.12.0
- The documentation directory is now versioned
* Sun Aug 26 2012 reddwarf@opensuse.org
- Update to 0.4.0
  * Correctly read objects with several rdf:type properties
  * Support writing Object Atoms as top level descriptions if
    subject and predicate are not given.
  * Fix various hyper-strict warnings
  * Upgrade to waf 1.7.2
- Add sratom-0.4.0-build_compare.patch to make build reproducible
* Thu Aug  9 2012 reddwarf@opensuse.org
- First version of the package
